class_name ChampDetection
extends Area2D
## Zone d'influence permettant de detecter les briques


func activer_detection():
	_regler_detection_sans_blocage(true)


func desactiver_detection() -> void:
	_regler_detection_sans_blocage(false)


## Evite l'erreur: Function blocked during in/out signal. Use set_deferred("monitoring", true/false).
func _regler_detection_sans_blocage(est_actif: bool) -> void:
	set_deferred("monitoring", est_actif)
	set_deferred("monitorable", est_actif)
